<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "cm_dbcreate";
$path_pre = "../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "setup/db_var.inc.php");
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_defsec ($cm_security);
echo $cm_html_header;

if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  echo "<p><strong>{$cm_text["setup-welcomedb"]}</strong></p>";
  // CONTENT3
  $result = db_query("
    CREATE TABLE content3 (
    ID $db_int8_auto[$db_type],
    cmdb_type $db_varchar10[$db_type],
    cmdb_directory $db_varchar255[$db_type],
    cmdb_parentdir $db_varchar255[$db_type],
    cmdb_title $db_varchar255[$db_type],
    cmdb_author_user $db_varchar20[$db_type],
    cmdb_author_group $db_varchar20[$db_type],
    cmdb_owner_user $db_varchar20[$db_type],
    cmdb_owner_group $db_varchar20[$db_type],
    cmdb_viewer_user $db_varchar20[$db_type],
    cmdb_viewer_group $db_varchar20[$db_type],
    cmdb_date_start $db_varchar20[$db_type],
    cmdb_date_finish $db_varchar20[$db_type],
    cmdb_date_creation $db_varchar20[$db_type],
    cmdb_date_update $db_varchar20[$db_type],
    cmdb_keywords $db_text[$db_type],
    cmdb_abstract $db_text[$db_type],
    cmdb_content $db_text[$db_type],
    PRIMARY KEY (ID)
  ) ");
  if (!$result) { echo "ERROR CONTENT3<br>\n"; $error = 1; }
  else { echo "OK CONTENT3<br>\n"; $error = 0; }
  if ($db_type == "oracle") { sequence("content3"); }
  if ($db_type == "interbase") {ib_autoinc("content3"); }

  // CMHITS3
  $result = db_query("
    CREATE TABLE cmhits3 (
    ID $db_int8_auto[$db_type],
    cmdb_type $db_varchar10[$db_type],
    cmdb_directory $db_varchar255[$db_type],
    cmdb_totalhits $db_int11[$db_type],
    cmdb_updatehits $db_int11[$db_type],
    PRIMARY KEY (ID)
  ) ");
  if (!$result) { echo "ERROR CMHITS3<br>\n"; $error = 1; }
  else { echo "OK CMHITS3<br>\n"; $error = 0; }
  if ($db_type == "oracle") { sequence("cmhits3"); }
  if ($db_type == "interbase") {ib_autoinc("cmhits3"); }

  
  // CMCOMMENTS3
  $result = db_query("
    CREATE TABLE cmcomments3 (
    ID $db_int8_auto[$db_type],
    cmdb_type $db_varchar10[$db_type],
    cmdb_directory $db_varchar255[$db_type],
    cmdb_title $db_varchar255[$db_type],
    cmdb_author_user $db_varchar20[$db_type],
    cmdb_date_creation $db_varchar20[$db_type],
    cmdb_comment $db_text[$db_type],
    PRIMARY KEY (ID)
  ) ");
  if (!$result) { echo "ERROR CMCOMMENTS3<br>\n"; $error = 1; }
  else { echo "OK CMCOMMENTS3<br>\n"; $error = 0; }
  if ($db_type == "oracle") { sequence("cmcomments3"); }
  if ($db_type == "interbase") {ib_autoinc("cmcomments3"); }


  // CMRATING3
  $result = db_query("
    CREATE TABLE cmrating3 (
    ID $db_int8_auto[$db_type],
    cmdb_directory $db_varchar255[$db_type],
    cmdb_rate $db_int11[$db_type],
    cmdb_author_user $db_varchar20[$db_type],
    PRIMARY KEY (ID)
  ) ");
  if (!$result) { echo "ERROR CMRATING3<br>\n"; $error = 1; }
  else { echo "OK CMRATING3<br>\n"; $error = 0; }
  if ($db_type == "oracle") { sequence("cmrating3"); }
  if ($db_type == "interbase") {ib_autoinc("cmrating3"); }


  // CMRESTRICT3
  $result = db_query("
    CREATE TABLE cmrestrict3 (
    ID $db_int8_auto[$db_type],
    cmdb_object $db_int11[$db_type],
    cmdb_operation $db_int11[$db_type],
    cmdb_role $db_int11[$db_type],
    cmdb_permission $db_int11[$db_type],
    PRIMARY KEY (ID)
  ) ");
  if (!$result) { echo "ERROR CMRESTRICT3<br>\n"; $error = 1; }
  else { echo "OK CMRESTRICT3<br>\n"; $error = 0; }
  if ($db_type == "oracle") { sequence("cmrestrict3"); }
  if ($db_type == "interbase") {ib_autoinc("cmrestrict3"); }
}
else {
  echo "<p><strong>{$cm_text["setup-welcomedb"]}</strong><br>";
  echo "{$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>";
  echo "{$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>";
  echo "<h3>{$cm_text["setup-nosuperuserdb"]}</h3>";
}
echo "<hr>";
echo "<form action=\"cm_dbcreate.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_createdb\" value=\"{$cm_text["setup-createdb"]}\">";
echo "</form>";
echo "<form action=\"setup.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_createdir\" value=\"{$cm_text["setup-createdir"]}\">";
echo "</form>";
echo "<form action=\"editsec.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_editsec\" value=\"{$cm_text["setup-editsec"]}\">";
echo "</form>";
echo "<form action=\"$path_pre\cm\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_gotocmhome\" value=\"{$cm_text["setup-gotocmhome"]}\">";
echo "</form>";
echo "<form action=\"$path_pre\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_gotohome\" value=\"{$cm_text["setup-gotohome"]}\">";
echo "</form>";
echo "<form action=\"setup.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_retrysetup\" value=\"{$cm_text["setup-retry"]}\">";
echo "</form>";

echo $cm_html_footer;
?>
