<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;



if ($cm_path) {
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_type from content3 where cmdb_directory like '$cm_path' and cmdb_type like '%p%'") or db_die();
  $row1 = db_fetch_row($result1);
  if (($cm_path <> "/") && ($row1[1] <> "")) {
    if (fcm_check_constraints (CM_SEC_DELETE, $user_kurz, $cm_path)) {
      if ($confirmdel) {
        if (@rmdir ($cm_mainroot . $cm_path)) {
          $cm_pppos = strrpos ($cm_path, "/");
          if ($cm_pppos == 0) {
            $cm_parentpath = "/";
          }
          else {
            $cm_parentpath = substr ($cm_path, 0, $cm_pppos);
          }
          $result2 = db_query("delete from content3 where cmdb_directory like '$cm_path'") or db_die();
          fcm_delete_hitrecord ($cm_path, CM_HITTYPE_PAGE);
          fcm_delete_rating ($cm_path);
          fcm_title_nav2 ($cm_parentpath, false, false, false, false, false, false);
          fcm_message ("{$cm_text["deleteddocin"]} $cm_path.", CM_MSGSTYLE_INFORMATION);
        }
        else {
          $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
          fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
          fcm_message ("{$cm_text["errordeletingdir"]} {$cm_text["checkemptydir"]}", CM_MSGSTYLE_ERROR);
        }
      }
      elseif ($canceldel) {
          $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
          fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
          fcm_message ("{$cm_text["canceleddeletionof"]} $cm_path.", CM_MSGSTYLE_INFORMATION);
          }
          else {
            $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
            fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
            fcm_message ("{$cm_text["confirmdeletionof"]} $cm_path.", CM_MSGSTYLE_QUESTION);
            echo "
            <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td>\n
            <form action=\"delete.php\" method=\"post\">\n
            <input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\">\n
            <input type=\"submit\" name=\"confirmdel\" value=\"{$cm_text["deletedocdir"]}\">\n
            <input type=\"submit\" name=\"canceldel\" value=\"{$cm_text["dontdelete"]}\">\n
            </form>\n
            </td></tr></table>\n
            ";
          }
    }
    else {
      fcm_title_nav2 ("", false, false, false, false, false, false);
      fcm_message ($cm_text["needaccess2delete"], CM_MSGSTYLE_WARNING);
    }
  }
  else {
    fcm_title_nav2 ("", false, false, false, false, false, false);
    fcm_message ($cm_text["invaliddir"], CM_MSGSTYLE_ERROR);
  }
}
else {
  fcm_title_nav2 ("", false, false, false, false, false, false);
  fcm_message ($cm_text["invaliddir"], CM_MSGSTYLE_ERROR);
}

echo $cm_html_footer;

?>

